# Reservations

- [Push (SM -> PMS)](https://developer.siteminder.com/pmsxchange-api/reference/reservations/push.md): Receive reservations from SiteMinder directly to your PMS in real-time.
- [Pull (SM -> PMS)](https://developer.siteminder.com/pmsxchange-api/reference/reservations/pull.md): Retrieve reservations from SiteMinder by polling at regular intervals.
- [Upload (PMS -> SM)](https://developer.siteminder.com/pmsxchange-api/reference/reservations/upload.md): Sync PMS reservations back to SiteMinder Platform.
- [Import](https://developer.siteminder.com/pmsxchange-api/reference/reservations/import.md): Bulk import active reservations from SiteMinder Platform to your PMS during initial integration setup.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.siteminder.com/pmsxchange-api/reference/reservations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
